<?php  
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_Marketplace
 * @author    Webkul
 * @copyright Copyright (c) 2010-2016 Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */

// @codingStandardsIgnoreFile

$helper = $this->helper('Webkul\Marketplace\Helper\Data');
$banner_display 	= 	$helper->getDisplayBanner();
$banner_image 		= 	$helper->getBannerImage();
$banner_content 	= 	$helper->getBannerContent();
$marketplacebutton 	= 	$helper->getMarketplacebutton();
$sellerlist_top_label 		= 	$helper->getSellerlisttopLabel();
$sellerlist_bottom_label 	= 	$helper->getSellerlistbottomLabel();

if (!isset($_GET['shop'])) {
	$_GET['shop'] = '';
}
?>


	
		<?php 
		if(count($block->getSellerCollection())==0){ ?>
			<div class="wk-emptymsg">
				<?php echo __('No Seller Available') ?>
			</div>
			<?php 
		} else{?>
			<ul class="bareq-multi-brands bareq-multi-sellerlist">
				<?php
				foreach($block->getSellerCollection() as $seller_coll){
					$seller_id = $seller_coll->getSellerId();
					$seller_product_count = 0;
					$profileurl = $seller_coll->getShopUrl();
					$shoptitle = '';
					$logo="noimage.png";
					$seller_product_count = $helper->getSellerProCount($seller_id);
					$shoptitle = $seller_coll->getShoptitle();
					$logo=$seller_coll->getLogoPic()==''?"noimage.png":$seller_coll->getLogoPic();
					if(!$shoptitle){
						$shoptitle = $profileurl;
					}
					$logo=$helper->getMediaUrl().'avatar/'.$logo;
					?>
			    	<li>
					    <a href="<?php echo $helper->getRewriteUrl('marketplace/seller/profile/shop/'.$profileurl);?>" title="<?php echo __("View Seller's Shop") ?>"><img src="<?php echo $logo ?>"></a>

					</li>
			    	<?php
			    }?>
		    </ul>
		    <?php
		}?>		


